ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
ZenLib::Thread Class Reference

Thread manipulation. More...

`#include <Thread.h>`

## Public Types
enum | returnvalue { Ok, IsNotRunning, Incoherent, Resource }

## Public Member Functions
| Thread ()
virtual | ~Thread ()
returnvalue | Run ()
returnvalue | RunAgain ()
returnvalue | Pause ()
returnvalue | RequestTerminate ()
returnvalue | ForceTerminate ()
bool | IsRunning ()
bool | IsTerminating ()
bool | IsExited ()
void | Priority_Set (int8s Priority)
virtual void | Entry ()
returnvalue | Internal_Exit ()

## Protected Member Functions
void | Sleep (std::size_t Millisecond)
void | Yield ()

## Detailed Description

Thread manipulation.

## Member Enumeration Documentation

enum ZenLib::Thread::returnvalue

Enumerator
Ok |
IsNotRunning |
Incoherent |
Resource |

## Constructor & Destructor Documentation

ZenLib::Thread::Thread | ( |  | ) |

virtual ZenLib::Thread::~Thread | ( |  | ) |
| virtual

## Member Function Documentation

virtual void ZenLib::Thread::Entry | ( |  | ) |
| virtual

returnvalue ZenLib::Thread::ForceTerminate | ( |  | ) |

returnvalue ZenLib::Thread::Internal_Exit | ( |  | ) |

bool ZenLib::Thread::IsExited | ( |  | ) |

bool ZenLib::Thread::IsRunning | ( |  | ) |

bool ZenLib::Thread::IsTerminating | ( |  | ) |

returnvalue ZenLib::Thread::Pause | ( |  | ) |

void ZenLib::Thread::Priority_Set | ( | int8s | Priority | ) |

returnvalue ZenLib::Thread::RequestTerminate | ( |  | ) |

returnvalue ZenLib::Thread::Run | ( |  | ) |

returnvalue ZenLib::Thread::RunAgain | ( |  | ) |

void ZenLib::Thread::Sleep | ( | std::size_t | Millisecond | ) |
| protected

void ZenLib::Thread::Yield | ( |  | ) |
| protected

The documentation for this class was generated from the following file:

- Thread.h